<template lang="pug">
  span(v-if="activity.objectDeleted") {{ activity.payload.object.name }}
  nuxt-link(v-else :to="localePath({ name: 'corpus-id', params: { id: activity.objectId } })") {{ activity.payload.object.name }}
</template>

<script>
export default {
  props: {
    activity: {
      type: Object,
      default: () => {}
    }
  }
}
</script>
